| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bconvert.cpp File Reference

Program to catenate image files. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to catenate image files.

Author
  Bernard Heymann

Date
  Created: 20070927
  Modified: 20170823

Definition in file bconvert.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 43 of file bconvert.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bconvert [options] input.images",
"--------------------------------------",
"Converts a list of images into a new format, using the original names and replacing the extension.",
"Any number of input images may be given and may include the wild card \"*\".",
"(However, VMS does not support Unix style usage of wild cards).",
" ",
"Actions:",
"-rescale -0.1,5.2 Rescale input images to average and standard deviation.",
"-extension zyx Change the file extension after writing.",
" ",
"Parameters:",
"-verbose 3 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-origin 0.8,-10,15.7 Set the origin (default from input image).",
"-raw d=f#x=120,120,1 Formatting to reinterpret image files.",
" ",
"Output:",
"-output mrc Output format (default pif).",
" ",
NULL
}

Definition at line 18 of file bconvert.cpp.

## ◆ verbose

int verbose